Create a file

To upload a file to Paypercut, you need to send a request of type multipart/form-data. Include the file you want to upload in the request, and the parameters for creating a file.

Body
required
multipart/form-data

Request to create a file

  • file
    Type: string
    required

    A file to upload. Make sure that the specifications follow RFC 2388, which defines file transfers for the multipart/form-data protocol.

  • purpose
    Type: string · FilePurposeenum
    required

    The purpose of the uploaded file.

    values
    • account_requirement
    • additional_verification
    • identity_document
Responses
  • application/json
Request Example for post/v1/files
curl https://api.paypercut.io/v1/files \
  --request POST \
  --header 'Content-Type: multipart/form-data' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --form 'file=;type=application/pdf, image/png, image/jpeg' \
  --form 'purpose=account_requirement'
{
  "id": "string",
  "type": null,
  "url": null,
  "purpose": "account_requirement"
}